Loading...
Searching...
No Matches
adjacent_remove_if.hpp File Reference

## Functions

template<typename I , typename S , typename Pred , typename Proj = identity> requires permutable<I> && sentinel_for<S, I> && indirect_relation<Pred, projected<I, Proj>>
constexpr I | ranges::adjacent_remove_if (I first, S last, Pred pred={}, Proj proj={})
| function `adjacent_remove_if`
template<typename Rng , typename Pred , typename Proj = identity> requires forward_range<Rng> && indirect_relation<Pred, projected<iterator_t<Rng>, Proj>> && permutable<iterator_t<Rng>>
constexpr borrowed_iterator_t< Rng > | ranges::adjacent_remove_if (Rng &&rng, Pred pred, Proj proj={})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.